<!DOCTYPE HTML>
<html lang="it">
<head>
<!-- Generated by javadoc (17) on Thu Apr 11 18:02:29 CEST 2024 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-04-11">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">N</a>&nbsp;<a href="index-6.html">P</a>&nbsp;<a href="index-7.html">Q</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../CentraleElettrica.html#setEfficienza(double)" class="member-name-link">setEfficienza(double)</a> - Method in class <a href="../CentraleElettrica.html" title="class in Unnamed Package">CentraleElettrica</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../RisorsaEnergetica.html#setNome(NomeRisorsa)" class="member-name-link">setNome(NomeRisorsa)</a> - Method in class <a href="../RisorsaEnergetica.html" title="class in Unnamed Package">RisorsaEnergetica</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../RisorsaEnergetica.html#setPotenzaCalorifera(double)" class="member-name-link">setPotenzaCalorifera(double)</a> - Method in class <a href="../RisorsaEnergetica.html" title="class in Unnamed Package">RisorsaEnergetica</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../RisorsaEnergetica.html#setPrezzo(double)" class="member-name-link">setPrezzo(double)</a> - Method in class <a href="../RisorsaEnergetica.html" title="class in Unnamed Package">RisorsaEnergetica</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../RisorsaEnergetica.html#setQuantitaDisponibile(double)" class="member-name-link">setQuantitaDisponibile(double)</a> - Method in class <a href="../RisorsaEnergetica.html" title="class in Unnamed Package">RisorsaEnergetica</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../CentraleElettrica.html#setRisorseDisponibili(java.util.List)" class="member-name-link">setRisorseDisponibili(List&lt;RisorsaEnergetica&gt;)</a> - Method in class <a href="../CentraleElettrica.html" title="class in Unnamed Package">CentraleElettrica</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../CentraleElettricaTest.html#setUp()" class="member-name-link">setUp()</a> - Static method in class <a href="../CentraleElettricaTest.html" title="class in Unnamed Package">CentraleElettricaTest</a></dt>
<dd>
<div class="block">Inizializza le variabili per i Test</div>
</dd>
<dt><a href="../RisorsaEnergeticaTest.html#setUp()" class="member-name-link">setUp()</a> - Static method in class <a href="../RisorsaEnergeticaTest.html" title="class in Unnamed Package">RisorsaEnergeticaTest</a></dt>
<dd>
<div class="block">Inizializza le variabili per i Test</div>
</dd>
<dt><a href="../CentraleElettrica.html#simulaConsumo(double)" class="member-name-link">simulaConsumo(double)</a> - Method in class <a href="../CentraleElettrica.html" title="class in Unnamed Package">CentraleElettrica</a></dt>
<dd>
<div class="block">Simula il consumo energetico della centrale elettrica.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">N</a>&nbsp;<a href="index-6.html">P</a>&nbsp;<a href="index-7.html">Q</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
